<c:get> | Standard JET2 Control Tags
--- | ---

get

Write a the result of an XPath expression.

If the 'select' XPath expression returns more than one object, only the first is written. If the XPath expression selects no objects, then an error occurs, unless the 'default' attribute is specified. If the 'select' XPath expression is malformed, then an error occurs.

Tag Summary
required | <c:get select="value"/>
full tag | <c:get select="value" default="value"/>

Required Attributes
select | The XPath expression to evaluate.

Optional Attributes
default | The value to write, if the XPath expression selects no objects.

Example
| <%-- Return the string value of 'name' attribute of element refered to by $var --%> <c:get select="$var/@name"/>